#!/bin/sh

# XM55-vlc.sh

# Generate score from TeX produced front page, comments etc 
# and single .epsi score pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. XM55-setup.sh
. c-raehs-funcs.sh XM55-vlc.sh -D PVLC

# ----------------------------------------------------------------------- #
# Main program                                                            #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 4 pages

echo 1st movement, generating single pages ...

domovement 4 con1

# 2nd movement, 2 pages

echo 2nd movement, generating single pages ...

domovement 2 con2

# 3rd movement, 3 pages

echo 3rd movement, generating single pages ...

domovement 3 con3

# Process TeX files into .epsi files

echo processing TeX files into .epsi files ...

tex2epsi titlpage-vlc

# Process Quikscript source including single page .epsi files

echo collecting mup and TeX pages into postscript score ...

(catex Qs XM55-vlc.qs > XM55-vlc.ps; ps2pdf XM55-vlc.ps) > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f *.epsi > /dev/null

exit
