#!/bin/sh

# XM55.sh

# In Redhat Fedora 2 force use of Ghostscript 7.03 built from source

export PATH="/usr/local/gs7.03/bin:$PATH"

# Generate score from TeX produced front page, comments etc 
# and single .epsi score pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. XM55-setup.sh
. c-raehs-funcs.sh XM55.sh -D SCORE

# ----------------------------------------------------------------------- #
# Main program                                                            #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 12 pages

echo 1st movement, generating single pages ...

domovement 12 con1

# 2nd movement, 4 pages

echo 2nd movement, generating single pages ...

domovement 4 con2

# 3rd movement, 9 pages

echo 3rd movement, generating single pages ...

domovement 9 con3

# Process MUP typeset music examples

echo processing MUP typeset music examples ...

mup2epsi con1_ex1

mup2epsi con1_ex2

mup2epsi con3_ex1

mup2epsi con3_ex2

# Process TeX files into .epsi files

echo processing TeX files into .epsi files ...

tex2epsipage comments 1

tex2epsipage comments 2

tex2epsi titlpage-score

tex2epsi XM55-preface

# Process Quikscript source including single page .epsi files

echo collecting mup and TeX pages into postscript score ...

(catex Qs XM55.qs > XM55.ps; ps2pdf XM55.ps) > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f *.epsi *.dvi > /dev/null

exit
