#!/bin/sh

# XM56-vl2.sh

# Generate score from TeX produced front page, comments etc 
# and single .epsi score pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. XM56-setup.sh
. c-raehs-funcs.sh XM56-vl2.sh -D PVL2

# ----------------------------------------------------------------------- #
# Main program                                                            #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 2 pages

echo 1st movement, generating single pages ...

domovement 2 con1

# 2nd movement, 1 page

echo 2nd movement, generating single pages ...

domovement 1 con2

# 3rd movement, 2 pages

echo 3rd movement, generating single pages ...

domovement 2 con3

# Process TeX files into .epsi files

echo processing TeX files into .epsi files ...

tex2epsi titlpage-vl2

# Process Quikscript source including single page .epsi files

echo collecting mup and TeX pages into postscript score ...

(catex Qs XM56-vl2.qs > XM56-vl2.ps; ps2pdf XM56-vl2.ps) > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f *.epsi > /dev/null

exit
