#!/bin/sh

# XM56-vla.sh

# Generate score from TeX produced front page, comments etc 
# and single .epsi score pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. XM56-setup.sh
. c-raehs-funcs.sh XM56-vla.sh -D PVLA

# ----------------------------------------------------------------------- #
# Main program                                                            #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 2 pages

echo 1st movement, generating single pages ...

domovement 2 con1

# 2nd movement, NB tacet !!!

# echo 2nd movement, generating single pages ...

# domovement 1 con2

# 3rd movement, 2 pages

echo 3rd movement, generating single pages ...

domovement 2 con3

# Process 'Tacet' page for movement 2

echo processing \'Tacet\' page for movement 2 ...

mup -o 1 -D PVLA -f con2_vlap1.ps con2_vla > /dev/null 2>&1

ps2epsi con2_vlap1.ps > /dev/null 2>&1

# Process TeX files into .epsi files

echo processing TeX files into .epsi files ...

tex2epsi titlpage-vla

# Process Quikscript source including single page .epsi files

echo collecting mup and TeX pages into postscript score ...

(catex Qs XM56-vla.qs > XM56-vla.ps; ps2pdf XM56-vla.ps) > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f *.epsi > /dev/null

exit
