#!/bin/sh

# XM56.sh

# Generate score from TeX produced front page, comments etc 
# and single .epsi score pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. XM56-setup.sh
. c-raehs-funcs.sh XM56.sh -D SCORE

# ----------------------------------------------------------------------- #
# Main program                                                            #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 5 pages

echo 1st movement, generating single pages ...

domovement 5 con1

# 2nd movement, 1 page

echo 2nd movement, generating single pages ...

domovement 1 con2

# 3rd movement, 4 pages

echo 3rd movement, generating single pages ...

domovement 4 con3

# Process MUP typeset music examples

echo processing MUP typeset music examples ...

mup2epsi con1_ex1

mup2epsi con1_ex2

mup2epsi con3_ex3

mup2epsi con3_ex4

mup2epsi con3_ex5

# Process TeX files into .epsi files

echo processing TeX files into .epsi files ...

tex2epsipage comments 1

tex2epsipage comments 2

tex2epsi titlpage-score

tex2epsi XM56-preface

# Process Quikscript source including single page .epsi files

echo collecting mup and TeX sources into postscript score ...

(catex Qs XM56.qs > XM56.ps; ps2pdf XM56.ps) > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f *.epsi > /dev/null

exit
