#!/bin/sh

# XM57-vla.sh

# Generate score from TeX produced front page, comments etc 
# and single .epsi score pages from mup sources

# ----------------------------------------------------------------------- #
# Define functions                                                        #
# ----------------------------------------------------------------------- #

. XM57-setup.sh
. c-raehs-funcs.sh XM57-vla.sh -D PVLA

# ----------------------------------------------------------------------- #
# Main program                                                            #
# ----------------------------------------------------------------------- #

# Generate single pages from mup sources

# 1st movement, 2 pages

echo 1st movement, generating single pages ...

domovement 2 con1

# 2nd movement, 1 page

echo 2nd movement, generating single pages ...

domovement 1 con2

# 3rd movement, 1 page

echo 3rd movement, generating single pages ...

domovement 1 con3

# Process TeX files into .epsi files

echo processing TeX files into .epsi files ...

tex2epsi titlpage-vla

# Process Quikscript source including single page .epsi files

echo collecting mup and TeX pages into postscript score ...

(catex Qs XM57-vla.qs > XM57-vla.ps; ps2pdf XM57-vla.ps) > ${ERRFILE} 2>&1
if [ $? -gt 0 ]
then
    cat ${ERRFILE}
    exit
fi
rm -f ${ERRFILE} > /dev/null 2>&1 

# Remove .dvi and .epsi files

echo cleaning up ...

rm -f *.epsi > /dev/null

rm -f *.dvi > /dev/null

exit
